Subject: Re: bug#32935: `guix package --verbose` does not produce verbose output

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 Oct 2018 22:36:07 +0200

Leo Famulari <[email-masked]> skribis:

> On Mon, Oct 08, 2018 at 02:50:31PM +0200, Ludovic Courtès wrote:
>> The ‘--verbose’ option predates the new “quiet” output for ‘guix
>> package’, so it doesn’t do what you expect, I believe.
>
> I didn't follow the development of the UI changes closely, but the
> original patch proposal message said that --verbose would allow the
> build log to be printed:
>
> "For “guix package” the default behaviour is
> to also hide all build output that does not announce progress (unless
> “--verbose” is passed) and to let a spinner show progress instead."
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32634#5
>
> Did that not make it into the final commit?

I don’t think so, but it sounds like a good plan, provided we also
provide ‘--quiet’ to do the opposite (and in ‘guix build’, we rename the
current ‘--quiet’ to ‘--silent’.)

Thoughts?

Ludo’.